﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url           = 'https://downloads.jtl-software.de/setup-jtl-wawi_1.5.55.6_1129-1059_cb118e90c91.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  softwareName  = 'JTL-Wawi*'
  checksum      = 'e9f41f14e5a83e845ca8dd4f0202532871a3eb300aadad4cf4d957ed3e82242f'
  checksumType  = 'sha256'
  silentArgs	 = "/sp- /verysilent /norestart /SUPRESSMSGBOXES /NOCANCEL /CLOSEAPPLICATIONS"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
